using System;

internal sealed class Delegate175 : MulticastDelegate
{
	public extern bool Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static bool smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate175 delegate175_1)
	{
		return delegate175_1(dateTime_0, dateTime_1);
	}

	public extern Delegate175(object object_0, IntPtr intptr_0);

	static Delegate175()
	{
		Class10.smethod_13(typeof(Delegate175).TypeHandle);
	}

	internal static Delegate175 delegate175_0;
}
